diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -1667,215 +1549,158 @@ public class Minecraft
                 boolean shift = Keyboard.isKeyDown(Keyboard.KEY_LSHIFT) || Keyboard.isKeyDown(Keyboard.KEY_RSHIFT);
                 //Fix your keyboard Mak you broke the overlay toggle
                 boolean control = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL) /* || Keyboard.isKeyDown(Keyboard.KEY_F4)*/;
-                if(!(Keyboard.getEventKeyState() && gameSettings.keyToggleDebug.isPressed())) {
-                	thePlayer.input.keyEvent(Keyboard.getEventKey(), -1, Keyboard.getEventKeyState());
+                if (!(Keyboard.getEventKeyState() && this.gameSettings.keyToggleDebug.isPressed())) {
+                    this.thePlayer.input.keyEvent(Keyboard.getEventKey(), -1, Keyboard.getEventKeyState());
                 }
-                
-                if(gameSettings.keyToggleDebug.isPressEvent()) {
-                    f3Press = true;
+
+                if (this.gameSettings.keyToggleDebug.isPressEvent()) {
+                    this.f3Press = true;
                 }
-                if (gameSettings.keyToggleDebug.isReleaseEvent())
-                {
-                    if(f3Press)
-                    {
-                        if(control)
-                        {
-                            gameSettings.showFrameTimes.toggle();
-                        }
-                        else
-                        {
-                            gameSettings.showDebugScreen.toggle();
+                if (this.gameSettings.keyToggleDebug.isReleaseEvent()) {
+                    if (this.f3Press) {
+                        if (control) {
+                            this.gameSettings.showFrameTimes.toggle();
+                        } else {
+                            this.gameSettings.showDebugScreen.toggle();
                         }
 
-                        f3Press = false;
+                        this.f3Press = false;
                     }
                 }
 
-                if(Keyboard.getEventKeyState())
-                {
-                    if(gameSettings.keyFullScreen.isPressEvent())
-                    {
-                    	gameWindow.toggleFullscreen();
-                    }
-                    else
-                    {
-                        if (gameSettings.keyToggleDebug.isPressed())
-                        {
-                            if(Keyboard.getEventKey() == Keyboard.KEY_Q) {
-                                hudIngame.addChatMessage(TextFormatting.YELLOW + "Keyboard shortcuts: ");
-                                gameSettings.debugsKeys.sort(Comparator.comparing(KeyBinding::getKeyName));
-                                for (KeyBinding binding: gameSettings.debugsKeys){
-                                    hudIngame.addChatMessage(String.format("%s + %s: %s", gameSettings.keyToggleDebug.getKeyName(), binding.getKeyName(), I18n.getInstance().translateKey(binding.getId())));
+                if (Keyboard.getEventKeyState()) {
+                    if (this.gameSettings.keyFullScreen.isPressEvent()) {
+                        this.gameWindow.toggleFullscreen();
+                    } else {
+                        if (this.gameSettings.keyToggleDebug.isPressed()) {
+                            if (Keyboard.getEventKey() == Keyboard.KEY_Q) {
+                                this.hudIngame.addChatMessage(TextFormatting.YELLOW + "Keyboard shortcuts: ");
+                                this.gameSettings.debugsKeys.sort(Comparator.comparing(KeyBinding::getKeyName));
+                                for (KeyBinding binding : this.gameSettings.debugsKeys) {
+                                    this.hudIngame.addChatMessage(String.format("%s + %s: %s", this.gameSettings.keyToggleDebug.getKeyName(), binding.getKeyName(), I18n.getInstance().translateKey(binding.getId())));
                                 }
-                                hudIngame.addChatMessage(String.format("%s: %s", gameSettings.keyToggleTextureAtlas.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyToggleTextureAtlas.getId())));
-                                hudIngame.addChatMessage(String.format("%s: %s", gameSettings.keyReleaseCursor.getKeyName(), I18n.getInstance().translateKey(gameSettings.keyReleaseCursor.getId())));
+                                this.hudIngame.addChatMessage(String.format("%s: %s", this.gameSettings.keyToggleTextureAtlas.getKeyName(), I18n.getInstance().translateKey(this.gameSettings.keyToggleTextureAtlas.getId())));
+                                this.hudIngame.addChatMessage(String.format("%s: %s", this.gameSettings.keyReleaseCursor.getKeyName(), I18n.getInstance().translateKey(this.gameSettings.keyReleaseCursor.getId())));
                             }
-                            if (gameSettings.keyReload.isPressEvent())
-                            {
+                            if (this.gameSettings.keyReload.isPressEvent()) {
                                 forceReload();
-                            }
-                            else if(gameSettings.keySwitchGamemode.isPressEvent())
-                            {
-                                if (currentWorld.getLevelData().getCheatsEnabled() || currentWorld.isClientSide)
-                                {
-                                    if (thePlayer.getGamemode() == Gamemode.creative)
-                                    {
-                                        thePlayer.sendChatMessage("/gamemode 0");
-                                    }
-                                    else
-                                    {
-                                        thePlayer.sendChatMessage("/gamemode 1");
+                            } else if (this.gameSettings.keySwitchGamemode.isPressEvent()) {
+                                if (this.currentWorld.getLevelData().getCheatsEnabled() || this.currentWorld.isClientSide) {
+                                    if (this.thePlayer.getGamemode() == Gamemode.creative) {
+                                        this.thePlayer.sendChatMessage("/gamemode 0");
+                                    } else {
+                                        this.thePlayer.sendChatMessage("/gamemode 1");
                                     }
                                 }
-                            }
-                            else if(gameSettings.keyDumpTextures.isPressEvent())
-                            {
+                            } else if (this.gameSettings.keyDumpTextures.isPressEvent()) {
                                 Textures.dumpTextures();
-                            }
-                            else if (gameSettings.keyFullbright.isPressEvent())
-                            {
+                            } else if (this.gameSettings.keyFullbright.isPressEvent()) {
                                 PacketHandlerClient queue = getSendQueue();
 
-                                if (queue != null)
-                                {
-                                    PlayerProfile profile = queue.getPlayer(thePlayer.username);
-                                    if (profile != null && profile.isOperator)
-                                    {
-                                        fullbright = !fullbright;
-                                        if(!LightmapHelper.isLightmapEnabled()) {
-                                        	renderGlobal.allChanged();
+                                if (queue != null) {
+                                    PlayerProfile profile = queue.getPlayer(this.thePlayer.username);
+                                    if (profile != null && profile.isOperator) {
+                                        this.fullbright = !this.fullbright;
+                                        if (!LightmapHelper.isLightmapEnabled()) {
+                                            this.renderGlobal.allChanged();
                                         }
                                     }
-                                }
-                                else
-                                {
-                                    if (currentWorld.getLevelData().getCheatsEnabled())
-                                    {
-                                        fullbright = !fullbright;
-                                        if(!LightmapHelper.isLightmapEnabled()) {
-                                        	renderGlobal.allChanged();
+                                } else {
+                                    if (this.currentWorld.getLevelData().getCheatsEnabled()) {
+                                        this.fullbright = !this.fullbright;
+                                        if (!LightmapHelper.isLightmapEnabled()) {
+                                            this.renderGlobal.allChanged();
                                         }
                                     }
                                 }
-                                hudIngame.heldItemTooltipElement.setString("Fullbright: " + (fullbright ? "On" : "Off"));
-                            }
-                            else if (gameSettings.keyLightmaps.isPressEvent())
-                            {
-                            	if(gameSettings.lightmapStyle.value == LightmapStyle.DISABLED) {
-                            		gameSettings.lightmapStyle.value = LightmapStyle.GRAY;
-                            		hudIngame.heldItemTooltipElement.setString("Lightmap: On");
-                            		renderGlobal.allChanged();
-                            	}else {
-                            		gameSettings.lightmapStyle.value = LightmapStyle.DISABLED;
-                            		hudIngame.heldItemTooltipElement.setString("Lightmap: Off");
-                            		renderGlobal.allChanged();
-                            	}
-                            }
-                            else if (gameSettings.keyCollisionBoxes.isPressEvent())
-                            {
-                            	gameSettings.showCollisionBoxes.toggle();
-                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showCollisionBoxes);
-                            }
-                            else if (gameSettings.keyChunkBorders.isPressEvent())
-                            {
-                            	gameSettings.showChunkBorders.toggle();
-                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showChunkBorders);
-                            }
-                            else if (gameSettings.keyClearChat.isPressEvent())
-                            {
-                                hudIngame.clearChatMessages();
-                            }
-                            else if (gameSettings.keyPauseLostFocus.isPressEvent())
-                            {
-                                gameSettings.pauseOnLostFocus.toggle();
-                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.pauseOnLostFocus);
-                            }
-                            else if (gameSettings.keyToggleItemInfo.isPressEvent())
-                            {
-                                gameSettings.showItemDebugInfo.toggle();
-                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.showItemDebugInfo);
-                            }
-                            else if (gameSettings.keyReloadChunks.isPressEvent())
-                            {
-                                renderGlobal.allChanged();
-                            }
-                            else if (gameSettings.keySmoothLighting.isPressEvent())
-                            {
-                                gameSettings.ambientOcclusion.toggle();
-                                gameSettings.ambientOcclusion.onUpdate();
-                                hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.ambientOcclusion);
+                                this.hudIngame.heldItemTooltipElement.setString("Fullbright: " + (this.fullbright ? "On" : "Off"));
+                            } else if (this.gameSettings.keyLightmaps.isPressEvent()) {
+                                if (this.gameSettings.lightmapStyle.value == LightmapStyle.DISABLED) {
+                                    this.gameSettings.lightmapStyle.value = LightmapStyle.GRAY;
+                                    this.hudIngame.heldItemTooltipElement.setString("Lightmap: On");
+                                    this.renderGlobal.allChanged();
+                                } else {
+                                    this.gameSettings.lightmapStyle.value = LightmapStyle.DISABLED;
+                                    this.hudIngame.heldItemTooltipElement.setString("Lightmap: Off");
+                                    this.renderGlobal.allChanged();
+                                }
+                            } else if (this.gameSettings.keyCollisionBoxes.isPressEvent()) {
+                                this.gameSettings.showCollisionBoxes.toggle();
+                                this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.showCollisionBoxes);
+                            } else if (this.gameSettings.keyChunkBorders.isPressEvent()) {
+                                this.gameSettings.showChunkBorders.toggle();
+                                this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.showChunkBorders);
+                            } else if (this.gameSettings.keyClearChat.isPressEvent()) {
+                                this.hudIngame.clearChatMessages();
+                            } else if (this.gameSettings.keyPauseLostFocus.isPressEvent()) {
+                                this.gameSettings.pauseOnLostFocus.toggle();
+                                this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.pauseOnLostFocus);
+                            } else if (this.gameSettings.keyToggleItemInfo.isPressEvent()) {
+                                this.gameSettings.showItemDebugInfo.toggle();
+                                this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.showItemDebugInfo);
+                            } else if (this.gameSettings.keyReloadChunks.isPressEvent()) {
+                                this.renderGlobal.allChanged();
+                            } else if (this.gameSettings.keySmoothLighting.isPressEvent()) {
+                                this.gameSettings.ambientOcclusion.toggle();
+                                this.gameSettings.ambientOcclusion.onUpdate();
+                                this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.ambientOcclusion);
                             }
-                            if(!gameSettings.keyToggleDebug.isPressEvent()) f3Press = false;
-                        }
-                        else if (gameSettings.keyReleaseCursor.isPressEvent())
-                        {
-                            mouseInput.releaseCursor();
-                        }
-                        else if (gameSettings.keyShowConsole.isPressEvent() && gameSettings.developerMode.value)
-                        {
+                            if (!this.gameSettings.keyToggleDebug.isPressEvent()) this.f3Press = false;
+                        } else if (this.gameSettings.keyReleaseCursor.isPressEvent()) {
+                            this.mouseInput.releaseCursor();
+                        } else if (this.gameSettings.keyShowConsole.isPressEvent() && this.gameSettings.developerMode.value) {
                             displayScreen(new ScreenConsole(this.currentScreen));
-                        }
-                        else if (Keyboard.getEventKey() == Keyboard.KEY_ESCAPE)
-                        {
+                        } else if (Keyboard.getEventKey() == Keyboard.KEY_ESCAPE) {
                             displayInGameMenu();
-                        }
-                        else if (gameSettings.keyCommand.isPressed())
-                        {
+                        } else if (this.gameSettings.keyCommand.isPressed()) {
                             displayScreen(new ScreenChat("/"));
-                        }
-                        else
-                        {
+                        } else {
                             checkBoundInputs(InputDevice.keyboard);
                         }
                     }
-                }else {
-                	checkBoundInputs(InputDevice.keyboard);
+                } else {
+                    checkBoundInputs(InputDevice.keyboard);
                 }
             }
 
-            boolean breakBlockPressed = gameSettings.keyAttack.isPressed() || (controllerInput != null && controllerInput.buttonRightTrigger.isPressed());
-            boolean placeBlockPressed = gameSettings.keyInteract.isPressed() || (controllerInput != null && controllerInput.buttonLeftTrigger.isPressed());
+            boolean breakBlockPressed = this.gameSettings.keyAttack.isPressed() || (this.controllerInput != null && this.controllerInput.buttonRightTrigger.isPressed());
+            boolean placeBlockPressed = this.gameSettings.keyInteract.isPressed() || (this.controllerInput != null && this.controllerInput.buttonLeftTrigger.isPressed());
 
-            if(currentScreen == null)
-            {
-                if(breakBlockPressed && (float)(ticksRan - mouseTicksRan) >= timer.ticksPerSecond / 5F && inGameHasFocus) clickMouse(0, gameSettings.autoHit.value, true);
-                if(placeBlockPressed && (float)(ticksRan - mouseTicksRan) >= timer.ticksPerSecond / 5F && inGameHasFocus) clickMouse(1, gameSettings.autoHit.value, true);
+            if (this.currentScreen == null) {
+                if (breakBlockPressed && (float) (this.ticksRan - this.mouseTicksRan) >= this.timer.ticksPerSecond / 5F && this.inGameHasFocus)
+                    clickMouse(0, this.gameSettings.autoHit.value, true);
+                if (placeBlockPressed && (float) (this.ticksRan - this.mouseTicksRan) >= this.timer.ticksPerSecond / 5F && this.inGameHasFocus)
+                    clickMouse(1, this.gameSettings.autoHit.value, true);
             }
-            mineBlocks(0, currentScreen == null && breakBlockPressed && inGameHasFocus);
+            mineBlocks(0, this.currentScreen == null && breakBlockPressed && this.inGameHasFocus);
         }
         InputHandler.poll();
-        if (this.controllerInput != null)
-        {
+        if (this.controllerInput != null) {
             handleControllerInput();
         }
         Debug.change("misc");
-        if(currentWorld != null)
-        {
-            if(thePlayer != null)
-            {
-                joinPlayerCounter++;
-                if(joinPlayerCounter == 30)
-                {
-                    joinPlayerCounter = 0;
-                    currentWorld.joinEntityInSurroundings(thePlayer);
+        if (this.currentWorld != null) {
+            if (this.thePlayer != null) {
+                this.joinPlayerCounter++;
+                if (this.joinPlayerCounter == 30) {
+                    this.joinPlayerCounter = 0;
+                    this.currentWorld.joinEntityInSurroundings(this.thePlayer);
                 }
-                thePlayer.setFlySpeed(gameSettings.flightSpeed.value);
-                thePlayer.setFlightSmoothness(gameSettings.flightSmoothness.value);
-                thePlayer.turnWithVehicle = gameSettings.turnWithVehicle.value;
+                this.thePlayer.setFlySpeed(this.gameSettings.flightSpeed.value);
+                this.thePlayer.setFlightSmoothness(this.gameSettings.flightSmoothness.value);
+                this.thePlayer.turnWithVehicle = this.gameSettings.turnWithVehicle.value;
             }
-            if(!isGamePaused)
-            {
-                worldRenderer.updateRenderer();
-                renderGlobal.tick();
+            if (!this.isGamePaused) {
+                this.worldRenderer.updateRenderer();
+                this.renderGlobal.tick();
                 TileEntityRenderDispatcher.instance.tick();
 
                 Debug.change("entity");
-                if(currentWorld.lightningFlicker > 0)
-                {
-                    currentWorld.lightningFlicker--;
+                if (this.currentWorld.lightningFlicker > 0) {
+                    this.currentWorld.lightningFlicker--;
                 }
                 try {
-                    currentWorld.updateEntities();
+                    this.currentWorld.updateEntities();
                 } catch (StackOverflowError stackOverflowError) {
                     LOGGER.error("Stack overflow while updating world entities! Closing world!", stackOverflowError);
                     changeWorld(null);
@@ -1887,11 +1712,10 @@ public class Minecraft
                 }
                 Debug.change("misc");
             }
-            if(!isGamePaused || isMultiplayerWorld())
-            {
+            if (!this.isGamePaused || isMultiplayerWorld()) {
                 Debug.change("world");
                 try {
-                    currentWorld.tick();
+                    this.currentWorld.tick();
                 } catch (StackOverflowError stackOverflowError) {
                     LOGGER.error("Stack overflow while updating world entities! Closing world!", stackOverflowError);
                     changeWorld(null);
@@ -1904,25 +1728,23 @@ public class Minecraft
                 Debug.change("misc");
             } else {
                 try {
-                    currentWorld.getChunkProvider().tick();
+                    this.currentWorld.getChunkProvider().tick();
                 } catch (Throwable throwable) {
                     LOGGER.error("Issue while ticking chunk provider!", throwable);
                 }
             }
-            if(!isGamePaused && currentWorld != null)
-            {
+            if (!this.isGamePaused && this.currentWorld != null) {
                 Debug.change("randomDisplayTick");
-                currentWorld.randomDisplayUpdates(MathHelper.floor(thePlayer.x), MathHelper.floor(thePlayer.y), MathHelper.floor(thePlayer.z));
+                this.currentWorld.randomDisplayUpdates(MathHelper.floor(this.thePlayer.x), MathHelper.floor(this.thePlayer.y), MathHelper.floor(this.thePlayer.z));
                 Debug.change("misc");
             }
-            if(!isGamePaused)
-            {
+            if (!this.isGamePaused) {
                 Debug.change("effects");
-                particleEngine.tick();
+                this.particleEngine.tick();
                 Debug.change("misc");
             }
         }
-        systemTime = System.currentTimeMillis();
+        this.systemTime = System.currentTimeMillis();
         Debug.pop();
     }
 
@@ -1931,38 +1753,38 @@ public class Minecraft
         boolean control = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
 
         // Attack
-        if (gameSettings.keyAttack.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyAttack.isPressEvent(currentInputDevice)) {
             clickMouse(0, true, false);
             return true;
         }
 
         // Interact
-        if (gameSettings.keyInteract.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyInteract.isPressEvent(currentInputDevice)) {
             clickMouse(1, true, false);
             return true;
         }
 
         // Pick block
-        if (gameSettings.keyPickBlock.isPressEvent(currentInputDevice)) {
+        if (this.gameSettings.keyPickBlock.isPressEvent(currentInputDevice)) {
             clickMiddleMouseButton(shift, control);
             return true;
         }
 
         // Toggle overlay
-        if (gameSettings.keyToggleOverlay.isPressEvent(currentInputDevice)) {
-            if(control) {
-                gameSettings.overlayMode.value ++;
-                gameSettings.overlayMode.value %= 3;
+        if (this.gameSettings.keyToggleOverlay.isPressEvent(currentInputDevice)) {
+            if (control) {
+                this.gameSettings.overlayMode.value++;
+                this.gameSettings.overlayMode.value %= 3;
             } else {
                 boolean on = false;
-                for(int i = 0; i < gameSettings.overlayElements.length; i++) {
-                    if(gameSettings.overlayElements[i].value) {
+                for (int i = 0; i < this.gameSettings.overlayElements.length; i++) {
+                    if (this.gameSettings.overlayElements[i].value) {
                         on = true;
                         break;
                     }
                 }
-                for(int i = 0; i < gameSettings.overlayElements.length; i++) {
-                    gameSettings.overlayElements[i].value = !on;
+                for (int i = 0; i < this.gameSettings.overlayElements.length; i++) {
+                    this.gameSettings.overlayElements[i].value = !on;
                 }
             }
 
